org.apache.sling.provisioning.model

## Class FeatureTypes

- java.lang.Object
- - org.apache.sling.provisioning.model.FeatureTypes

    public abstract class FeatureTypes
    extends Object

Constants for common feature types.

Since:
  1.4.0

### Field Summary

Fields
`static String` `PLAIN`
`static String` `SUBSYSTEM_APPLICATION`
`static String` `SUBSYSTEM_COMPOSITE`
`static String` `SUBSYSTEM_FEATURE`

### Constructor Summary

Constructors
Constructor and Description
`FeatureTypes()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PLAIN

    public static final String PLAIN

See Also:
  Constant Field Values

#### SUBSYSTEM_FEATURE

    public static final String SUBSYSTEM_FEATURE

See Also:
  Constant Field Values

#### SUBSYSTEM_APPLICATION

    public static final String SUBSYSTEM_APPLICATION

See Also:
  Constant Field Values

#### SUBSYSTEM_COMPOSITE

    public static final String SUBSYSTEM_COMPOSITE

See Also:
  Constant Field Values

### Constructor Detail

#### FeatureTypes

    public FeatureTypes()